<?php
require_once("DBManager.class.php");

class curso{
	private $idcurso;///
	private $curso;
	private $bienvenida;
	private $infocurso;
	/////////////////constructor/////////////////
	function __construct($idcurso="",$curso="",$bienvenida="",$infocurso=""){
             $this->setIdcurso($idcurso);//
	         $this->setCurso($curso);//
		  	$this->setBienvenida($bienvenida);//
			$this->setCursoinfo($cursoinfo);//		
        }	
	///////////////////////////////////////////
	public function Crear($vc,$bv,$ic)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("INSERT INTO curso(idcurso,curso,bienvenida,cursoinfo) VALUES(null,'".$vc."','".$vb."','".$ic."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorCurso($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from curso where(curso LIKE CONCAT('%','".$v."','%'))");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idcurso"	=> $rs->fields["idcurso"],
									"curso" 	=> $rs->fields["curso"],
									"bienvenida" 	=> $rs->fields["bienvenida"],
									"cursoinfo" 	=> $rs->fields["cursoinfo"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from curso where(idcurso = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idcurso=$rs->fields["idcurso"];
				      $this->curso=$rs->fields["curso"];				
				      $this->bienvenida=$rs->fields["bienvenida"];	
					  $this->cursoinfo=$rs->fields["cursoinfo"];	
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	
	public function Actualizar($vid,$vc,$bv,$ic)			
	{
		$resp=false;		
		$db= new DBManager();			
		if($db->_execute("update curso set curso = '".$vc."',bienvenida='".$bv."', cursoinfo='".$ic."' where (idcurso=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	/////////////////////////////////
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select * from curso");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idcurso"	=> $rs->fields["idcurso"],
									"curso" 	=> $rs->fields["curso"],
									"bienvenida" 	=> $rs->fields["bienvenida"],
									"cursoinfo" 	=> $rs->fields["cursoinfo"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM curso WHERE (idcurso=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////
	
	////////////////////////////////////////							
	
	public function getIdcurso(){ return $this->idcurso;}
	public function getCurso(){ return $this->curso;}
	public function getBienvenida(){ return $this->bienvenida;}
	public function getCursoinfo(){ return $this->cursoinfo;}
			
	public function setIdcurso( $idcurso ){ $this->idcurso = $idcurso;}
	public function setCurso( $curso){ $this->curso = $curso;}
	public function setBienvenida( $bienvenida){ $this->bienvenida = $bienvenida;}
	public function setCursoinfo( $cursoinfo){ $this->cursoinfo = $cursoinfo;}
		
}
?>
